//  SmultronKit
//  Copyright © 2004-2015 Peter Borg Apps AB. All rights reserved.


#ifdef DEBUG
	#define LogBool(bool) NSLog(@"The value of "#bool" is %@", bool ? @"YES" : @"NO")
	#define LogInt(number) NSLog(@"The value of "#number" is %ld", (unsigned long)number)
	#define LogFloat(number) NSLog(@"The value of "#number" is %f", number)
	#define Log(obj) NSLog(@"The value of "#obj" is %@", obj)
	#define LogText(characters) NSLog(@#characters)
#if TARGET_OS_IPHONE
	#define LogRect(rect) NSLog(@"The value of "#rect" is %@", NSStringFromCGRect(rect))
	#define LogSize(size) NSLog(@"The value of "#size" is %@", NSStringFromCGSize(size))
	#define LogPoint(point) NSLog(@"The value of "#point" is %@", NSStringFromCGPoint(point))
#else
	#define LogRect(rect) NSLog(@"The value of "#rect" is %@", NSStringFromRect(rect))
	#define LogSize(size) NSLog(@"The value of "#size" is %@", NSStringFromSize(size))
	#define LogPoint(point) NSLog(@"The value of "#point" is %@", NSStringFromPoint(point))
#endif
	#define LogRange(range) NSLog(@"The value of "#range" is %@", NSStringFromRange(range))
	#define StartTimer CFAbsoluteTime start = CFAbsoluteTimeGetCurrent()
	#define StopTimer NSLog(@"Time elapsed: %f seconds", CFAbsoluteTimeGetCurrent() - start)
	#define Pos NSLog(@"File=%s line=%d proc=%s", strrchr("/" __FILE__,'/')+1, __LINE__, __PRETTY_FUNCTION__)
#endif

@import QuickLook;
@import CoreGraphics;

#if TARGET_OS_IPHONE
@import UIKit;
@import SystemConfiguration;
#import <netinet/in.h>
#else
@import Cocoa;
#endif




//! Project version number for SmultronKit.
FOUNDATION_EXPORT double SmultronKitVersionNumber;

//! Project version string for SmultronKit.
FOUNDATION_EXPORT const unsigned char SmultronKitVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <SmultronKit/PublicHeader.h>


#import "SMLConstants.h"

#import "SMLBasic.h"
#import "SMLSyntax.h"
#import "SMLSyntaxHeaders.h"
#import "SMLSyntaxHelpers.h"

#import "SMLTextPerformer.h"
#import "SMLCategories.h"



#define SMLDefaults [NSUserDefaults standardUserDefaults]
#define SMLDefaultsKVS [NSUbiquitousKeyValueStore defaultStore]
#define OK_BUTTON NSLocalizedString(@"OK", @"OK-button")

